Status: Feedback

Priority: Normal

Assignee: Pirmin Kalberer

Category: C++ plugins/Globe

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25593

Description

In osgearth 2.9/master, featurequerytool was removed in  

https://github.com/gwaldron/osgearth/commit/9c8dd703fcbc5730e6df1bf17372423fadd7cb30 while this class is used by the globe

plugin: https://github.com/qgis/QGIS/search?utf8=%E2%9C%93&#38;q=featurequerytool&#38;type=

Tried to workaround it by shuffling header includes but it will fail anyway:

/usr/obj/ports/qgis-2.99pre20171213/QGIS-ea49c8276c1685345e019280e28f9095f7c314fb/src/plugins/globe/globe_plugin.cpp:

421:27: error: allocation of incomplete ty

pe 'osgEarth::Util::FeatureQueryTool'                                                                                                                            mFeatureQueryTool

= new osgEarth::Util::FeatureQueryTool();

Can anyone try to adapt globe code for newer osgearth APIs ?

History

#1 - 2018-04-05 04:01 PM - landry Landry Breuil

I hoped that it would be fixed by the last commit to globe plugin adapting to some new APIs, but sadly the build still fails when using osgearth 2.9 and

building qgis 3.0.1.

#2 - 2019-03-09 04:34 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#3 - 2019-03-11 02:15 PM - landry Landry Breuil

Well since the globe plugin code hasnt been touched in months, yes it's probably still failing the same on 3.6/master. At some point, either it should be

maintained or removed... as it wont build with osgearth 2.9, and probably 2.10.
